Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.76.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
24.76.0.0
Broadcast address
24.77.255.255
First usable
24.76.0.1
Last usable
24.77.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 184C0000 · Integer 407633920 to 407764991
Reverse DNS zones
76.24.in-addr.arpa
77.24.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.01001100.00000000.0000000024.76.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00011000.01001100.00000000.0000000024.76.0.0
Broadcast00011000.01001101.11111111.1111111124.77.255.255
Split into smaller subnets/22

24.76.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.76.0.0/2224.76.0.1 to 24.76.3.25424.76.3.2551,022
224.76.4.0/2224.76.4.1 to 24.76.7.25424.76.7.2551,022
324.76.8.0/2224.76.8.1 to 24.76.11.25424.76.11.2551,022
424.76.12.0/2224.76.12.1 to 24.76.15.25424.76.15.2551,022
524.76.16.0/2224.76.16.1 to 24.76.19.25424.76.19.2551,022
624.76.20.0/2224.76.20.1 to 24.76.23.25424.76.23.2551,022
724.76.24.0/2224.76.24.1 to 24.76.27.25424.76.27.2551,022
824.76.28.0/2224.76.28.1 to 24.76.31.25424.76.31.2551,022
924.76.32.0/2224.76.32.1 to 24.76.35.25424.76.35.2551,022
1024.76.36.0/2224.76.36.1 to 24.76.39.25424.76.39.2551,022
1124.76.40.0/2224.76.40.1 to 24.76.43.25424.76.43.2551,022
1224.76.44.0/2224.76.44.1 to 24.76.47.25424.76.47.2551,022
1324.76.48.0/2224.76.48.1 to 24.76.51.25424.76.51.2551,022
1424.76.52.0/2224.76.52.1 to 24.76.55.25424.76.55.2551,022
1524.76.56.0/2224.76.56.1 to 24.76.59.25424.76.59.2551,022
1624.76.60.0/2224.76.60.1 to 24.76.63.25424.76.63.2551,022
1724.76.64.0/2224.76.64.1 to 24.76.67.25424.76.67.2551,022
1824.76.68.0/2224.76.68.1 to 24.76.71.25424.76.71.2551,022
1924.76.72.0/2224.76.72.1 to 24.76.75.25424.76.75.2551,022
2024.76.76.0/2224.76.76.1 to 24.76.79.25424.76.79.2551,022
2124.76.80.0/2224.76.80.1 to 24.76.83.25424.76.83.2551,022
2224.76.84.0/2224.76.84.1 to 24.76.87.25424.76.87.2551,022
2324.76.88.0/2224.76.88.1 to 24.76.91.25424.76.91.2551,022
2424.76.92.0/2224.76.92.1 to 24.76.95.25424.76.95.2551,022
2524.76.96.0/2224.76.96.1 to 24.76.99.25424.76.99.2551,022
2624.76.100.0/2224.76.100.1 to 24.76.103.25424.76.103.2551,022
2724.76.104.0/2224.76.104.1 to 24.76.107.25424.76.107.2551,022
2824.76.108.0/2224.76.108.1 to 24.76.111.25424.76.111.2551,022
2924.76.112.0/2224.76.112.1 to 24.76.115.25424.76.115.2551,022
3024.76.116.0/2224.76.116.1 to 24.76.119.25424.76.119.2551,022
3124.76.120.0/2224.76.120.1 to 24.76.123.25424.76.123.2551,022
3224.76.124.0/2224.76.124.1 to 24.76.127.25424.76.127.2551,022
3324.76.128.0/2224.76.128.1 to 24.76.131.25424.76.131.2551,022
3424.76.132.0/2224.76.132.1 to 24.76.135.25424.76.135.2551,022
3524.76.136.0/2224.76.136.1 to 24.76.139.25424.76.139.2551,022
3624.76.140.0/2224.76.140.1 to 24.76.143.25424.76.143.2551,022
3724.76.144.0/2224.76.144.1 to 24.76.147.25424.76.147.2551,022
3824.76.148.0/2224.76.148.1 to 24.76.151.25424.76.151.2551,022
3924.76.152.0/2224.76.152.1 to 24.76.155.25424.76.155.2551,022
4024.76.156.0/2224.76.156.1 to 24.76.159.25424.76.159.2551,022
4124.76.160.0/2224.76.160.1 to 24.76.163.25424.76.163.2551,022
4224.76.164.0/2224.76.164.1 to 24.76.167.25424.76.167.2551,022
4324.76.168.0/2224.76.168.1 to 24.76.171.25424.76.171.2551,022
4424.76.172.0/2224.76.172.1 to 24.76.175.25424.76.175.2551,022
4524.76.176.0/2224.76.176.1 to 24.76.179.25424.76.179.2551,022
4624.76.180.0/2224.76.180.1 to 24.76.183.25424.76.183.2551,022
4724.76.184.0/2224.76.184.1 to 24.76.187.25424.76.187.2551,022
4824.76.188.0/2224.76.188.1 to 24.76.191.25424.76.191.2551,022
4924.76.192.0/2224.76.192.1 to 24.76.195.25424.76.195.2551,022
5024.76.196.0/2224.76.196.1 to 24.76.199.25424.76.199.2551,022
5124.76.200.0/2224.76.200.1 to 24.76.203.25424.76.203.2551,022
5224.76.204.0/2224.76.204.1 to 24.76.207.25424.76.207.2551,022
5324.76.208.0/2224.76.208.1 to 24.76.211.25424.76.211.2551,022
5424.76.212.0/2224.76.212.1 to 24.76.215.25424.76.215.2551,022
5524.76.216.0/2224.76.216.1 to 24.76.219.25424.76.219.2551,022
5624.76.220.0/2224.76.220.1 to 24.76.223.25424.76.223.2551,022
5724.76.224.0/2224.76.224.1 to 24.76.227.25424.76.227.2551,022
5824.76.228.0/2224.76.228.1 to 24.76.231.25424.76.231.2551,022
5924.76.232.0/2224.76.232.1 to 24.76.235.25424.76.235.2551,022
6024.76.236.0/2224.76.236.1 to 24.76.239.25424.76.239.2551,022
6124.76.240.0/2224.76.240.1 to 24.76.243.25424.76.243.2551,022
6224.76.244.0/2224.76.244.1 to 24.76.247.25424.76.247.2551,022
6324.76.248.0/2224.76.248.1 to 24.76.251.25424.76.251.2551,022
6424.76.252.0/2224.76.252.1 to 24.76.255.25424.76.255.2551,022
6524.77.0.0/2224.77.0.1 to 24.77.3.25424.77.3.2551,022
6624.77.4.0/2224.77.4.1 to 24.77.7.25424.77.7.2551,022
6724.77.8.0/2224.77.8.1 to 24.77.11.25424.77.11.2551,022
6824.77.12.0/2224.77.12.1 to 24.77.15.25424.77.15.2551,022
6924.77.16.0/2224.77.16.1 to 24.77.19.25424.77.19.2551,022
7024.77.20.0/2224.77.20.1 to 24.77.23.25424.77.23.2551,022
7124.77.24.0/2224.77.24.1 to 24.77.27.25424.77.27.2551,022
7224.77.28.0/2224.77.28.1 to 24.77.31.25424.77.31.2551,022
7324.77.32.0/2224.77.32.1 to 24.77.35.25424.77.35.2551,022
7424.77.36.0/2224.77.36.1 to 24.77.39.25424.77.39.2551,022
7524.77.40.0/2224.77.40.1 to 24.77.43.25424.77.43.2551,022
7624.77.44.0/2224.77.44.1 to 24.77.47.25424.77.47.2551,022
7724.77.48.0/2224.77.48.1 to 24.77.51.25424.77.51.2551,022
7824.77.52.0/2224.77.52.1 to 24.77.55.25424.77.55.2551,022
7924.77.56.0/2224.77.56.1 to 24.77.59.25424.77.59.2551,022
8024.77.60.0/2224.77.60.1 to 24.77.63.25424.77.63.2551,022
8124.77.64.0/2224.77.64.1 to 24.77.67.25424.77.67.2551,022
8224.77.68.0/2224.77.68.1 to 24.77.71.25424.77.71.2551,022
8324.77.72.0/2224.77.72.1 to 24.77.75.25424.77.75.2551,022
8424.77.76.0/2224.77.76.1 to 24.77.79.25424.77.79.2551,022
8524.77.80.0/2224.77.80.1 to 24.77.83.25424.77.83.2551,022
8624.77.84.0/2224.77.84.1 to 24.77.87.25424.77.87.2551,022
8724.77.88.0/2224.77.88.1 to 24.77.91.25424.77.91.2551,022
8824.77.92.0/2224.77.92.1 to 24.77.95.25424.77.95.2551,022
8924.77.96.0/2224.77.96.1 to 24.77.99.25424.77.99.2551,022
9024.77.100.0/2224.77.100.1 to 24.77.103.25424.77.103.2551,022
9124.77.104.0/2224.77.104.1 to 24.77.107.25424.77.107.2551,022
9224.77.108.0/2224.77.108.1 to 24.77.111.25424.77.111.2551,022
9324.77.112.0/2224.77.112.1 to 24.77.115.25424.77.115.2551,022
9424.77.116.0/2224.77.116.1 to 24.77.119.25424.77.119.2551,022
9524.77.120.0/2224.77.120.1 to 24.77.123.25424.77.123.2551,022
9624.77.124.0/2224.77.124.1 to 24.77.127.25424.77.127.2551,022
9724.77.128.0/2224.77.128.1 to 24.77.131.25424.77.131.2551,022
9824.77.132.0/2224.77.132.1 to 24.77.135.25424.77.135.2551,022
9924.77.136.0/2224.77.136.1 to 24.77.139.25424.77.139.2551,022
10024.77.140.0/2224.77.140.1 to 24.77.143.25424.77.143.2551,022
10124.77.144.0/2224.77.144.1 to 24.77.147.25424.77.147.2551,022
10224.77.148.0/2224.77.148.1 to 24.77.151.25424.77.151.2551,022
10324.77.152.0/2224.77.152.1 to 24.77.155.25424.77.155.2551,022
10424.77.156.0/2224.77.156.1 to 24.77.159.25424.77.159.2551,022
10524.77.160.0/2224.77.160.1 to 24.77.163.25424.77.163.2551,022
10624.77.164.0/2224.77.164.1 to 24.77.167.25424.77.167.2551,022
10724.77.168.0/2224.77.168.1 to 24.77.171.25424.77.171.2551,022
10824.77.172.0/2224.77.172.1 to 24.77.175.25424.77.175.2551,022
10924.77.176.0/2224.77.176.1 to 24.77.179.25424.77.179.2551,022
11024.77.180.0/2224.77.180.1 to 24.77.183.25424.77.183.2551,022
11124.77.184.0/2224.77.184.1 to 24.77.187.25424.77.187.2551,022
11224.77.188.0/2224.77.188.1 to 24.77.191.25424.77.191.2551,022
11324.77.192.0/2224.77.192.1 to 24.77.195.25424.77.195.2551,022
11424.77.196.0/2224.77.196.1 to 24.77.199.25424.77.199.2551,022
11524.77.200.0/2224.77.200.1 to 24.77.203.25424.77.203.2551,022
11624.77.204.0/2224.77.204.1 to 24.77.207.25424.77.207.2551,022
11724.77.208.0/2224.77.208.1 to 24.77.211.25424.77.211.2551,022
11824.77.212.0/2224.77.212.1 to 24.77.215.25424.77.215.2551,022
11924.77.216.0/2224.77.216.1 to 24.77.219.25424.77.219.2551,022
12024.77.220.0/2224.77.220.1 to 24.77.223.25424.77.223.2551,022
12124.77.224.0/2224.77.224.1 to 24.77.227.25424.77.227.2551,022
12224.77.228.0/2224.77.228.1 to 24.77.231.25424.77.231.2551,022
12324.77.232.0/2224.77.232.1 to 24.77.235.25424.77.235.2551,022
12424.77.236.0/2224.77.236.1 to 24.77.239.25424.77.239.2551,022
12524.77.240.0/2224.77.240.1 to 24.77.243.25424.77.243.2551,022
12624.77.244.0/2224.77.244.1 to 24.77.247.25424.77.247.2551,022
12724.77.248.0/2224.77.248.1 to 24.77.251.25424.77.251.2551,022
12824.77.252.0/2224.77.252.1 to 24.77.255.25424.77.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses